module top (
    //Clock
    input i_Clk50MHz,
	output o_GeneratedClock,
	//Leds
	output [11:0] o_led
);

//96MHz clock generation
wire w_CLK96MHz;

Clock96MHz my96MHzclk(
.CLK_IN(i_Clk50MHz),
.CLK_OUT(w_CLK96MHz)
);


reg [31:0] r_cnt;

always @(posedge w_CLK96MHz) begin
	r_cnt <= r_cnt + 1'b1;
end
assign o_led = ~r_cnt[31:20];

reg [7:0] r_cntCLkDiv;
reg r_cntCLk;
//600KHz ADC clock convertion
always @(posedge w_CLK96MHz) begin
	r_cntCLkDiv <= r_cntCLkDiv + 1'b1;
	if(r_cntCLkDiv == 8'd16) begin
		r_cntCLkDiv <= 0;
	end
	
	if(r_cntCLkDiv <= 8'd8) begin
		r_cntCLk <= 1'b1;
	end else begin
		r_cntCLk <= 1'b0;
	end
end

assign o_GeneratedClock = r_cntCLk;

endmodule